# GET /api/v1/voice_agent_fields

List AI Field records.

## Params

| Param name | Description<br> <br>**Validations** |
| --- | --- |
| **ids**<br>Optional | Return records matching these ids.<br>**Validations:**<br>- Must be an array of decimal values. EG: `[0, 1, 2, 3]` |
| **page**<br>Optional | Return the next page of results.<br>**Validations:**<br>- Must be a number. |
| **per_page**<br>Optional | How many results to return per page. The default is 25.<br>**Validations:**<br>- Must be a number. |
| **created_at_to**<br>Optional | Date formatted like 2016-01-01 12:25:15 -0500<br>**Validations:**<br>- Must be a String |
| **created_at_from**<br>Optional | Date formatted like 2016-01-01 12:25:15 -0500<br>**Validations:**<br>- Must be a String |
| **fulltext**<br>Optional | Search for any record that matches this text<br>**Validations:**<br>- Must be a String |
| **time_zone**<br>Optional | Date ranges will be parsed using this time zone.<br>**Validations:**<br>- Must be a valid time zone. [See the list of valid time zones.](/content/api/v1/collections/time_zone/index.html) |
| **columns**<br>Optional | Specify the columns you would like returned by the API for a given resource.<br>Limiting the columns can significantly increase API response time since only the requested data will be processed.<br>columns=uuid,number,created_at<br>#### Must be any combination of:<br>- id<br>  <br>- legacy_id<br>  <br>- type<br>  <br>- uuid<br>  <br>- created_at<br>  <br>- updated_at<br>  <br>- deleted_at<br>  <br>- user_updated_at<br>  <br>- routes_show_path<br>  <br>- routes_edit_path<br>  <br>- external_record_id<br>  <br>- name<br>  <br>- context_menu_name<br>  <br>- company_id<br>  <br>- sortable_order<br>  <br>- key<br>  <br>- key_type<br>  <br>- key_name<br>  <br>- question_template<br>  <br>- allowed_values<br>  <br>- min_length<br>  <br>- max_length<br>  <br>- prompt<br>  <br>**Validations:**<br>- Must be a String |
| **root**<br>Optional | Pass `root=false` to return results without a root node and metadata.<br>For example:<br>`GET /api/v1/calls?root=false` will return `[call1, call2, call3]`<br>While:<br>`GET /api/v1/calls` will return `{calls: [call1, call2, call3], metadata: {}}`<br>**Validations:**<br>- Must be a boolean value: 1, true, yes, on, 0, false, no, off |
